### Function

# GLib get_real_name

since: 2.0

#### Declaration

    const gchar*
    g_get_real_name (
      void
    )

#### Description

Gets the real name of the user. This usually comes from the user’s entry in the `passwd` file. The encoding of the returned string is system-defined. (On Windows, it is, however, always UTF-8.) If the real user name cannot be determined, the string “Unknown” is returned.

Available since: 2.0

#### Return value

Type: `const gchar*`

The user’s real name.

The data is owned by the called function.
The value is a file system path, using the OS encoding.